All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::scheduler::preset Namespace Reference

## Functions

template<typename NumericT >
statement | mat_mat_prod (NumericT alpha, viennacl::matrix_base< NumericT > const *A, bool A_trans, viennacl::matrix_base< NumericT > const *B, bool B_trans, NumericT beta, viennacl::matrix_base< NumericT > const *C)

## Function Documentation

template<typename NumericT >

statement viennacl::scheduler::preset::mat_mat_prod | ( | NumericT | alpha,
|  | viennacl::matrix_base< NumericT > const * | A,
|  | bool | A_trans,
|  | viennacl::matrix_base< NumericT > const * | B,
|  | bool | B_trans,
|  | NumericT | beta,
|  | viennacl::matrix_base< NumericT > const * | C
| ) |  |

Definition at line 33 of file preset.hpp.